<?php
// Get Server Name
$SERVER_ADDR = $_SERVER[ "SERVER_NAME" ];
if ( isset( $_SERVER[ "HTTP_X_FORWARDED_HOST" ] ) )
	{ $SERVER_ADDR = $_SERVER[ "HTTP_X_FORWARDED_HOST" ]; }

// Get Protocol
$PROTOCOL = "http";
if ( $_SERVER[ "SERVER_PORT" ] == 443 )
	{ $PROTOCOL .= "s"; }

// Find Port
if ( $_SERVER[ "SERVER_PORT" ] != 80 && $_SERVER[ "SERVER_PORT" ] != 443 )
	{ $SERVER_ADDR .= ":" . $_SERVER[ "SERVER_PORT" ]; }

// Build Codebase
$CODEBASE = $PROTOCOL . "://" . $SERVER_ADDR . "/";
?>
<html>
<head>
	<title>Bobby Cox Companies - Bar Code Printer</title>
	<link rel="stylesheet" href="index.css" type="text/css" />
	<script type="text/javascript" language="javascript">
	<!--
		var oDate = new Date();
		var bYear = oDate.getYear();
		if ( bYear < 1000 ) bYear += 1900;
		sCopyright = 'Copyright &copy;' + bYear + ' Bobby Cox Companies, Inc.';
	//-->
	</script>

	<script language="JavaScript">
		var javawsInstalled = 0;
		var javaws142Installed = 0;
		var javaws150Installed = 0;
		var javaws160Installed = 0;
		isIE = "false";
		if (navigator.mimeTypes && navigator.mimeTypes.length) {
			x = navigator.mimeTypes['application/x-java-jnlp-file'];
			if (x) {
				javawsInstalled = 1;
				javaws142Installed = 1;
				javaws150Installed = 1;
				javaws160Installed = 1;
			}
		} else {
			isIE = "true";
		}
	</script>

	<script language="VBScript">
		on error resume next
		If isIE = "true" Then
			If Not(IsObject(CreateObject("JavaWebStart.isInstalled"))) Then
				javawsInstalled = 0
			Else
				javawsInstalled = 1
			End If
			If Not(IsObject(CreateObject("JavaWebStart.isInstalled.1.4.2.0"))) Then
				javaws142Installed = 0
			Else
				javaws142Installed = 1
			End If
			If Not(IsObject(CreateObject("JavaWebStart.isInstalled.1.5.0.0"))) Then
				javaws150Installed = 0
			Else
				javaws150Installed = 1
			End If
			If Not(IsObject(CreateObject("JavaWebStart.isInstalled.1.6.0.0"))) Then
				javaws160Installed = 0
			Else
				javaws160Installed = 1
			End If
		End If
	</script>
</head>

<body>

	<!-- Center on screen -->
	<table width="100%" height="100%"><tr valign="middle"><td align="center">

		<table width="450" cellspacing="10">
			<!-- <tr><td align="center"><img src="images/dt_logo.gif" alt="Dividia Technologies, LLC" width="301" height="55"></td></tr> -->
			<tr><td align="center">

				<table cellspacing="10" class="loginBox">
					<tr><td align="center" class="loginTitle">PBCodes<br /><span class="loginVersion">Version 2.0</span></td></tr>

					<tr><td align="center">

							<script language="JavaScript">
								/* Note that the logic below always launches the JNLP application
								 * if the browser is Gecko based.  This is because it is not possible
								 * to detect MIME type application/x-java-jnlp-file on Gecko-based browsers.
								 */
								if (javawsInstalled || (navigator.userAgent.indexOf("Gecko") != -1)) {
									document.write( '<a href="pbcodes-payroll.php">PBCodes Payroll</a><br>' );
									document.write( '<a href="pbcodes-ap.php">PBCodes A/P</a><br>' );
								} else {
									<?php echo "document.write('<a href=http://java.sun.com/PluginBrowserCheck?pass=" . $CODEBASE . "download.php&fail=http://java.sun.com/javase/downloads/index.jsp>Install Java</a><br>' );\n"; ?>
								}
							</script>

					</tr></td>

				</table>

			</td></tr>
			<tr><td align="center" class="copyright">
				<script type="text/javascript" language="javascript">
					document.write( sCopyright );
				</script>
			</td></tr>
		</table>

	</td></tr></table>

</body>
</html>