<?php
header("Content-Type: application/x-java-jnlp-file");

// Get Server Name
$SERVER_ADDR= $_SERVER["SERVER_NAME"];
if (isset($_SERVER["HTTP_X_FORWARDED_HOST"]))
	{ $SERVER_ADDR = $_SERVER["HTTP_X_FORWARDED_HOST"]; }

// Get Protocol
$PROTOCOL = "http";
if ($_SERVER["SERVER_PORT"] == 443)
	{ $PROTOCOL .= "s"; }

// Find Port
if ($_SERVER["SERVER_PORT"] != 80 && $_SERVER["SERVER_PORT"] != 443)
	{ $SERVER_ADDR .= ":" . $_SERVER["SERVER_PORT"]; }

// Find path
$URL_PATH = preg_replace( "|[^/]*?$|", "", $_SERVER[ "REQUEST_URI" ] );

// Build Codebase
$CODEBASE = $PROTOCOL . "://" . $SERVER_ADDR . $URL_PATH;
?>
<!-- BCC PBCodes Web Start Deployment -->
<jnlp
	spec="1.0+"
	codebase="<?= $CODEBASE ?>"
	href="<?= $_SERVER["REQUEST_URI"] ?>">
	<information>
		<title>PBCodes AP</title>
		<vendor>Bobby Cox Companies, Inc.</vendor>
		<homepage href="http://www.bobbycox.com" />
		<description>PBCodes AP BarCode Printing</description>
		<description kind="short">PBCodes AP</description>
		<shortcut online="false">
			<desktop />
			<menu submenu="Bobby Cox Companies" />
		</shortcut>
		<!-- <offline-allowed /> -->
	</information>
	<security>
		<all-permissions />
	</security>
	<resources>
		<j2se version="1.5+" java-vm-args="-Djava.util.logging.config.file=lib/logging-client.properties" />
		<jar href="lib/pbcodes-ap.jar" main="true" />
		<jar href="lib/commons-logging-1.1.jar" />
		<jar href="lib/ws-commons-util-1.0.2.jar" />
		<jar href="lib/xmlrpc-client-3.1.2.jar" />
		<jar href="lib/xmlrpc-common-3.1.2.jar" />
		<jar href="lib/commons-httpclient-3.1.jar" />
		<jar href="lib/commons-codec-1.4.jar" />
		<!-- <property name="java.util.logging.config.file" value="lib/logging-client.properties" /> -->
	</resources>
	<application-desc main-class="net.dividia.pbcodes.client.ap.Main">
		<argument>--server=lfindex.bobbycox.com:8080</argument>
	</application-desc>
</jnlp>